## mbarcode-plugin-webrequest 0.1.5-0

=== Makefile ===
#############################################################################
# Makefile for building: libmbarcode_wrplugin.so
# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri May 21 03:05:41 2010
# Project:  wrplugin.pro
# Template: lib
# Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile wrplugin.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_PLUGIN -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -g -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -g -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/usr/share/qt4/mkspecs/linux-g++ -I. -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtDBus -I/usr/include/qt4 -I../.. -I/usr/include -I. -I.
LINK          = g++
LFLAGS        = -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lgstinterfaces-0.10 -ldmtx -pthread -lgstreamer-0.10 -lgobject-2.0 -lgmodule-2.0 -lxml2 -lgthread-2.0 -lrt -lglib-2.0 -lQtDBus -lQtGui -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake-qt4
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = wrplugin.cpp \
		wrsink.cpp \
		providerwindow.cpp \
		editproviderdialog.cpp moc_wrplugin.cpp \
		moc_wrsink.cpp \
		moc_providerwindow.cpp \
		moc_editproviderdialog.cpp
OBJECTS       = wrplugin.o \
		wrsink.o \
		providerwindow.o \
		editproviderdialog.o \
		moc_wrplugin.o \
		moc_wrsink.o \
		moc_providerwindow.o \
		moc_editproviderdialog.o
DIST          = /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		wrplugin.pro
QMAKE_TARGET  = mbarcode_wrplugin
DESTDIR       = 
TARGET        = libmbarcode_wrplugin.so
TARGETD       = libmbarcode_wrplugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET): ui_providerwindow.h ui_editproviderdialog.h $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: wrplugin.pro  /usr/share/qt4/mkspecs/linux-g++/qmake.conf /usr/share/qt4/mkspecs/common/g++.conf \
		/usr/share/qt4/mkspecs/common/unix.conf \
		/usr/share/qt4/mkspecs/common/linux.conf \
		/usr/share/qt4/mkspecs/qconfig.pri \
		/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/usr/share/qt4/mkspecs/features/qt_config.prf \
		/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/usr/share/qt4/mkspecs/features/default_pre.prf \
		/usr/share/qt4/mkspecs/features/debug.prf \
		/usr/share/qt4/mkspecs/features/default_post.prf \
		/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/usr/share/qt4/mkspecs/features/warn_on.prf \
		/usr/share/qt4/mkspecs/features/qt.prf \
		/usr/share/qt4/mkspecs/features/moc.prf \
		/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/usr/share/qt4/mkspecs/features/resources.prf \
		/usr/share/qt4/mkspecs/features/uic.prf \
		/usr/share/qt4/mkspecs/features/yacc.prf \
		/usr/share/qt4/mkspecs/features/lex.prf \
		/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtGui.prl \
		/usr/lib/libQtCore.prl
	$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile wrplugin.pro
/usr/share/qt4/mkspecs/common/g++.conf:
/usr/share/qt4/mkspecs/common/unix.conf:
/usr/share/qt4/mkspecs/common/linux.conf:
/usr/share/qt4/mkspecs/qconfig.pri:
/usr/share/qt4/mkspecs/features/qt_functions.prf:
/usr/share/qt4/mkspecs/features/qt_config.prf:
/usr/share/qt4/mkspecs/features/exclusive_builds.prf:
/usr/share/qt4/mkspecs/features/default_pre.prf:
/usr/share/qt4/mkspecs/features/debug.prf:
/usr/share/qt4/mkspecs/features/default_post.prf:
/usr/share/qt4/mkspecs/features/link_pkgconfig.prf:
/usr/share/qt4/mkspecs/features/warn_on.prf:
/usr/share/qt4/mkspecs/features/qt.prf:
/usr/share/qt4/mkspecs/features/moc.prf:
/usr/share/qt4/mkspecs/features/dbusinterfaces.prf:
/usr/share/qt4/mkspecs/features/dbusadaptors.prf:
/usr/share/qt4/mkspecs/features/unix/thread.prf:
/usr/share/qt4/mkspecs/features/resources.prf:
/usr/share/qt4/mkspecs/features/uic.prf:
/usr/share/qt4/mkspecs/features/yacc.prf:
/usr/share/qt4/mkspecs/features/lex.prf:
/usr/share/qt4/mkspecs/features/include_source_dir.prf:
/usr/lib/libQtDBus.prl:
/usr/lib/libQtGui.prl:
/usr/lib/libQtCore.prl:
qmake:  FORCE
	@$(QMAKE) -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile wrplugin.pro

dist: 
	@$(CHK_DIR_EXISTS) .tmp/mbarcode_wrplugin1.0.0 || $(MKDIR) .tmp/mbarcode_wrplugin1.0.0 
	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/mbarcode_wrplugin1.0.0/ && $(COPY_FILE) --parents wrplugin.h wrsink.h providerwindow.h searchprovider.h editproviderdialog.h .tmp/mbarcode_wrplugin1.0.0/ && $(COPY_FILE) --parents wrplugin.cpp wrsink.cpp providerwindow.cpp editproviderdialog.cpp .tmp/mbarcode_wrplugin1.0.0/ && $(COPY_FILE) --parents providerwindow.ui editproviderdialog.ui .tmp/mbarcode_wrplugin1.0.0/ && (cd `dirname .tmp/mbarcode_wrplugin1.0.0` && $(TAR) mbarcode_wrplugin1.0.0.tar mbarcode_wrplugin1.0.0 && $(COMPRESS) mbarcode_wrplugin1.0.0.tar) && $(MOVE) `dirname .tmp/mbarcode_wrplugin1.0.0`/mbarcode_wrplugin1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/mbarcode_wrplugin1.0.0


clean:compiler_clean 
	-$(DEL_FILE) $(OBJECTS)
	-$(DEL_FILE) *~ core *.core


####### Sub-libraries

distclean: clean
	-$(DEL_FILE) $(TARGET) 
	-$(DEL_FILE) Makefile


mocclean: compiler_moc_header_clean compiler_moc_source_clean

mocables: compiler_moc_header_make_all compiler_moc_source_make_all

compiler_moc_header_make_all: moc_wrplugin.cpp moc_wrsink.cpp moc_providerwindow.cpp moc_editproviderdialog.cpp
compiler_moc_header_clean:
	-$(DEL_FILE) moc_wrplugin.cpp moc_wrsink.cpp moc_providerwindow.cpp moc_editproviderdialog.cpp
moc_wrplugin.cpp: wrplugin.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) wrplugin.h -o moc_wrplugin.cpp

moc_wrsink.cpp: wrsink.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) wrsink.h -o moc_wrsink.cpp

moc_providerwindow.cpp: providerwindow.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) providerwindow.h -o moc_providerwindow.cpp

moc_editproviderdialog.cpp: editproviderdialog.h
	/usr/bin/moc-qt4 $(DEFINES) $(INCPATH) editproviderdialog.h -o moc_editproviderdialog.cpp

compiler_dbus_interface_source_make_all:
compiler_dbus_interface_source_clean:
compiler_dbus_adaptor_source_make_all:
compiler_dbus_adaptor_source_clean:
compiler_rcc_make_all:
compiler_rcc_clean:
compiler_image_collection_make_all: qmake_image_collection.cpp
compiler_image_collection_clean:
	-$(DEL_FILE) qmake_image_collection.cpp
compiler_moc_source_make_all:
compiler_moc_source_clean:
compiler_dbus_interface_header_make_all:
compiler_dbus_interface_header_clean:
compiler_dbus_interface_moc_make_all:
compiler_dbus_interface_moc_clean:
compiler_dbus_adaptor_header_make_all:
compiler_dbus_adaptor_header_clean:
compiler_dbus_adaptor_moc_make_all:
compiler_dbus_adaptor_moc_clean:
compiler_uic_make_all: ui_providerwindow.h ui_editproviderdialog.h
compiler_uic_clean:
	-$(DEL_FILE) ui_providerwindow.h ui_editproviderdialog.h
ui_providerwindow.h: providerwindow.ui
	/usr/bin/uic-qt4 providerwindow.ui -o ui_providerwindow.h

ui_editproviderdialog.h: editproviderdialog.ui
	/usr/bin/uic-qt4 editproviderdialog.ui -o ui_editproviderdialog.h

compiler_yacc_decl_make_all:
compiler_yacc_decl_clean:
compiler_yacc_impl_make_all:
compiler_yacc_impl_clean:
compiler_lex_make_all:
compiler_lex_clean:
compiler_clean: compiler_moc_header_clean compiler_uic_clean 

####### Compile

wrplugin.o: wrplugin.cpp wrplugin.h \
		wrsink.h \
		searchprovider.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o wrplugin.o wrplugin.cpp

wrsink.o: wrsink.cpp wrsink.h \
		providerwindow.h \
		wrplugin.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o wrsink.o wrsink.cpp

providerwindow.o: providerwindow.cpp providerwindow.h \
		ui_providerwindow.h \
		searchprovider.h \
		wrplugin.h \
		editproviderdialog.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o providerwindow.o providerwindow.cpp

editproviderdialog.o: editproviderdialog.cpp editproviderdialog.h \
		ui_editproviderdialog.h \
		searchprovider.h
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o editproviderdialog.o editproviderdialog.cpp

moc_wrplugin.o: moc_wrplugin.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_wrplugin.o moc_wrplugin.cpp

moc_wrsink.o: moc_wrsink.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_wrsink.o moc_wrsink.cpp

moc_providerwindow.o: moc_providerwindow.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_providerwindow.o moc_providerwindow.cpp

moc_editproviderdialog.o: moc_editproviderdialog.cpp 
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_editproviderdialog.o moc_editproviderdialog.cpp

####### Install

install_target: first FORCE
	@$(CHK_DIR_EXISTS) $(INSTALL_ROOT)/usr/share/mbarcode/plugins/ || $(MKDIR) $(INSTALL_ROOT)/usr/share/mbarcode/plugins/ 
	-$(INSTALL_PROGRAM) "$(TARGET)" "$(INSTALL_ROOT)/usr/share/mbarcode/plugins/$(TARGET)"

uninstall_target:  FORCE
	-$(DEL_FILE) "$(INSTALL_ROOT)/usr/share/mbarcode/plugins/$(TARGET)"
	-$(DEL_DIR) $(INSTALL_ROOT)/usr/share/mbarcode/plugins/ 


install:  install_target  FORCE

uninstall: uninstall_target   FORCE

FORCE:

## mbarcode-plugin-webrequest 0.0.1-0

=== debian/changelog ===
mbarcode-plugin-webrequest (0.0.1-0) unstable; urgency=low

  * Initial plugin version

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 4 Apr 2010 23:50:00 +0000

=== debian/control ===
Source: mbarcode-plugin-webrequest
Section: user/utilities 
Priority: extra
Maintainer: Svenn-Arne Dragly <s@dragly.com>
Build-Depends: 	debhelper (>= 5), libzbar-dev, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
                libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libosso-dev, libgtk2.0-dev, 
                libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,
                libcurl3-dev, mce-dev | maemo-version (<5.0), libmodest-dbus-client-dev, libhildonfm2-dev,
                libqt4-maemo5-dev, mbarcode-dev (>=0.1.1-3)
Standards-Version: 3.7.2

Package: mbarcode-plugin-webrequest
Architecture: any
Depends: gstreamer0.10-plugins-bad, libatk1.0-0 (>= 1.24.0), libc6 (>= 2.5.0-1), libcairo2, libconic0, libcurl3 (>= 7.16.2-1), libdbus-1-3 (>= 1.1.4), libdbus-glib-1-2 (>= 0.76), libdmtx0a, libebook (>= 1.4.2.1), libedataserver (>= 1.4.2.1), libfontconfig1 (>= 2.6.0), libfreetype6 (>= 2.3.9), libgcc1 (>= 1:4.2.1), libgconf2-6 (>= 2.13.5), libglib2.0-0 (>= 2.20.0), libgstreamer-plugins-base0.10-0 (>= 0.10.25), libgstreamer0.10-0 (>= 0.10.25), libgtk2.0-0 (>= 2:2.12.9-0osso1), libhildon1 (>= 2.2.0), libhildonfm2 (>= 1:2.28+0m5), libhildonmime0 (>= 2.1.3), libmcclient6, libmodest-dbus-client, libosso-abook, libosso-gnomevfs2-0, libosso1 (>= 2.23), libpango1.0-0, libqt4-maemo5-core (>= 4.6.2~git20100212), libqt4-maemo5-gui (>= 4.6.2~git20100212), libstdc++6 (>= 4.2.1), libtelepathy-glib0 (>= 0.7.37), libxml2 (>= 2.6.32), libzbar0
Description: The webrequest plugin lets the user look up any result from mbarcode on the web. Currently it uses Google only.

## mbarcode-plugin-webrequest 0.1.0-0

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.0-0) unstable; urgency=low

  Plugin updated with possibility to add more search providers. This version is untested and might crash.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 21 May 2010 08:00:00 +0000

## mbarcode-plugin-webrequest 0.1.1-0

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.1-0) unstable; urgency=low

  Fixed segfault bug.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 21 May 2010 08:10:00 +0000
 

## mbarcode-plugin-webrequest 0.1.2-0

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.2-0) unstable; urgency=low

  Fixed another segfault bug.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 21 May 2010 08:15:00 +0000

## mbarcode-plugin-webrequest 0.1.3-0

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.3-0) unstable; urgency=low

  * Added stacked windows.
  * Removed closing of window.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 21 May 2010 08:20:00 +0000

## mbarcode-plugin-webrequest 0.1.4-0

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.4-0) unstable; urgency=low

  Fixed another segfault bug.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 21 May 2010 08:25:00 +0000

## mbarcode-plugin-webrequest 0.1.5-0

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.5-0) unstable; urgency=low

  Added refreshing of search provider list.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 21 May 2010 12:47:00 +0000

## mbarcode-plugin-webrequest 0.1.6-0

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.6-0) unstable; urgency=low

  Fixed some bugs.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 21 May 2010 12:47:00 +0000

## mbarcode-plugin-webrequest 0.1.7-0

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.7-0) unstable; urgency=low

  Resizing rows to contents.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 21 May 2010 12:47:00 +0000

## mbarcode-plugin-webrequest 0.1.8-0

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.8-0) unstable; urgency=low

  Another attempt at resizing rows to contents.

 -- Svenn-Arne Dragly <s@dragly.com>  Fri, 21 May 2010 15:47:00 +0000

## mbarcode-plugin-webrequest 0.1.9-0

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.9-0) unstable; urgency=low

  Fixed bug with barcode hanging.

 -- Svenn-Arne Dragly <s@dragly.com>  Fri, 21 May 2010 16:47:00 +0000

## mbarcode-plugin-webrequest 0.1.10-0

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.10-0) unstable; urgency=low

  Fixed another bug with the new plugin.

 -- Svenn-Arne Dragly <s@dragly.com>  Fri, 21 May 2010 16:52:00 +0000

## mbarcode-plugin-webrequest 0.1.11-0

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.11-0) unstable; urgency=low

  Fixed another bug with the new plugin.

 -- Svenn-Arne Dragly <s@dragly.com>  Fri, 21 May 2010 17:52:00 +0000
 

## mbarcode-plugin-webrequest 0.1.12-0

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.12-0) unstable; urgency=low

  * Added new search providers: Froogle, EAN Search and UPC Database

 -- Svenn-Arne Dragly <s@dragly.com>  Mon, 24 May 2010 14:24:00 +0000

=== debian/control ===
--- 
+++ 
@@ -12,4 +12,4 @@
 Package: mbarcode-plugin-webrequest
 Architecture: any
 Depends: gstreamer0.10-plugins-bad, libatk1.0-0 (>= 1.24.0), libc6 (>= 2.5.0-1), libcairo2, libconic0, libcurl3 (>= 7.16.2-1), libdbus-1-3 (>= 1.1.4), libdbus-glib-1-2 (>= 0.76), libdmtx0a, libebook (>= 1.4.2.1), libedataserver (>= 1.4.2.1), libfontconfig1 (>= 2.6.0), libfreetype6 (>= 2.3.9), libgcc1 (>= 1:4.2.1), libgconf2-6 (>= 2.13.5), libglib2.0-0 (>= 2.20.0), libgstreamer-plugins-base0.10-0 (>= 0.10.25), libgstreamer0.10-0 (>= 0.10.25), libgtk2.0-0 (>= 2:2.12.9-0osso1), libhildon1 (>= 2.2.0), libhildonfm2 (>= 1:2.28+0m5), libhildonmime0 (>= 2.1.3), libmcclient6, libmodest-dbus-client, libosso-abook, libosso-gnomevfs2-0, libosso1 (>= 2.23), libpango1.0-0, libqt4-maemo5-core (>= 4.6.2~git20100212), libqt4-maemo5-gui (>= 4.6.2~git20100212), libstdc++6 (>= 4.2.1), libtelepathy-glib0 (>= 0.7.37), libxml2 (>= 2.6.32), libzbar0
-Description: The webrequest plugin lets the user look up any result from mbarcode on the web. Currently it uses Google only.
+Description: The webrequest plugin lets the user look up any result from mbarcode on the web. It is currently unstable and might crash.

=== debian/rules ===
#!/usr/bin/make -f


APPNAME := mbarcode-plugin-webrequest
builddir:
		mkdir -p builddir

builddir/Makefile: builddir
		cd builddir && /opt/qt4-maemo5/bin/qmake-qt4 PREFIX=/usr ../wrplugin.pro
        # should be changed to qmake-qt4 when PR1.2 is out

build: build-stamp

build-stamp: builddir/Makefile
		dh_testdir
		# Add here commands to compile the package.
		cd builddir && $(MAKE)
		touch $@

clean:
		dh_testdir
		dh_testroot
		rm -f build-stamp
		# Add here commands to clean up after the build process.
		rm -rf builddir
		dh_clean
install: build
		dh_testdir
		dh_testroot
		dh_clean -k
		dh_installdirs

		# Add here commands to install the package into debian/your_appname
		cd builddir && $(MAKE) INSTALL_ROOT=$(CURDIR)/debian/$(APPNAME) install
# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
		dh_testdir
		dh_testroot
		dh_installdocs
		dh_installexamples
		dh_installman
		dh_link
		dh_strip
		dh_compress
		dh_fixperms
		dh_installdeb
		dh_shlibdeps
		dh_gencontrol
		dh_md5sums
		dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## mbarcode-plugin-webrequest 0.1.13-0

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.13-0) unstable; urgency=low

  * Moved to libqt4 dependency after PR1.2.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 26 May 2010 22:20:00 +0000
 
 mbarcode-plugin-webrequest (0.1.12-0) unstable; urgency=low

  * Added new search providers: Froogle, EAN Search and UPC Database

 -- Svenn-Arne Dragly <s@dragly.com>  Mon, 24 May 2010 14:24:00 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
                 libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libosso-dev, libgtk2.0-dev, 
                 libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,
                 libcurl3-dev, mce-dev | maemo-version (<5.0), libmodest-dbus-client-dev, libhildonfm2-dev,
-                libqt4-maemo5-dev, mbarcode-dev (>=0.1.1-3)
+                libqt4-dev, mbarcode-dev (>=0.1.1-3)
 Standards-Version: 3.7.2
 
 Package: mbarcode-plugin-webrequest

## mbarcode-plugin-webrequest 0.1.13-1

=== Makefile ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #############################################################################
 # Makefile for building: libmbarcode_wrplugin.so
-# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri May 21 03:05:41 2010
+# Generated by qmake (2.01a) (Qt 4.6.2) on: Fri May 21 14:00:22 2010
 # Project:  wrplugin.pro
 # Template: lib
 # Command: /usr/bin/qmake-qt4 -spec /usr/share/qt4/mkspecs/linux-g++ -unix CONFIG+=debug -o Makefile wrplugin.pro
@@ -46,7 +46,8 @@
 SOURCES       = wrplugin.cpp \
 		wrsink.cpp \
 		providerwindow.cpp \
-		editproviderdialog.cpp moc_wrplugin.cpp \
+		editproviderdialog.cpp \
+		htmldelegate.cpp moc_wrplugin.cpp \
 		moc_wrsink.cpp \
 		moc_providerwindow.cpp \
 		moc_editproviderdialog.cpp
@@ -54,6 +55,7 @@
 		wrsink.o \
 		providerwindow.o \
 		editproviderdialog.o \
+		htmldelegate.o \
 		moc_wrplugin.o \
 		moc_wrsink.o \
 		moc_providerwindow.o \
@@ -172,7 +174,7 @@
 
 dist: 
 	@$(CHK_DIR_EXISTS) .tmp/mbarcode_wrplugin1.0.0 || $(MKDIR) .tmp/mbarcode_wrplugin1.0.0 
-	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/mbarcode_wrplugin1.0.0/ && $(COPY_FILE) --parents wrplugin.h wrsink.h providerwindow.h searchprovider.h editproviderdialog.h .tmp/mbarcode_wrplugin1.0.0/ && $(COPY_FILE) --parents wrplugin.cpp wrsink.cpp providerwindow.cpp editproviderdialog.cpp .tmp/mbarcode_wrplugin1.0.0/ && $(COPY_FILE) --parents providerwindow.ui editproviderdialog.ui .tmp/mbarcode_wrplugin1.0.0/ && (cd `dirname .tmp/mbarcode_wrplugin1.0.0` && $(TAR) mbarcode_wrplugin1.0.0.tar mbarcode_wrplugin1.0.0 && $(COMPRESS) mbarcode_wrplugin1.0.0.tar) && $(MOVE) `dirname .tmp/mbarcode_wrplugin1.0.0`/mbarcode_wrplugin1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/mbarcode_wrplugin1.0.0
+	$(COPY_FILE) --parents $(SOURCES) $(DIST) .tmp/mbarcode_wrplugin1.0.0/ && $(COPY_FILE) --parents wrplugin.h wrsink.h providerwindow.h searchprovider.h editproviderdialog.h htmldelegate.h .tmp/mbarcode_wrplugin1.0.0/ && $(COPY_FILE) --parents wrplugin.cpp wrsink.cpp providerwindow.cpp editproviderdialog.cpp htmldelegate.cpp .tmp/mbarcode_wrplugin1.0.0/ && $(COPY_FILE) --parents providerwindow.ui editproviderdialog.ui .tmp/mbarcode_wrplugin1.0.0/ && (cd `dirname .tmp/mbarcode_wrplugin1.0.0` && $(TAR) mbarcode_wrplugin1.0.0.tar mbarcode_wrplugin1.0.0 && $(COMPRESS) mbarcode_wrplugin1.0.0.tar) && $(MOVE) `dirname .tmp/mbarcode_wrplugin1.0.0`/mbarcode_wrplugin1.0.0.tar.gz . && $(DEL_FILE) -r .tmp/mbarcode_wrplugin1.0.0
 
 
 clean:compiler_clean 
@@ -258,7 +260,8 @@
 		ui_providerwindow.h \
 		searchprovider.h \
 		wrplugin.h \
-		editproviderdialog.h
+		editproviderdialog.h \
+		htmldelegate.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o providerwindow.o providerwindow.cpp
 
 editproviderdialog.o: editproviderdialog.cpp editproviderdialog.h \
@@ -266,6 +269,9 @@
 		searchprovider.h
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o editproviderdialog.o editproviderdialog.cpp
 
+htmldelegate.o: htmldelegate.cpp htmldelegate.h
+	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o htmldelegate.o htmldelegate.cpp
+
 moc_wrplugin.o: moc_wrplugin.cpp 
 	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o moc_wrplugin.o moc_wrplugin.cpp

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.13-1) unstable; urgency=low

  * Another build against PR1.2.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 26 May 2010 22:54:00 +0000

=== debian/control ===
Source: mbarcode-plugin-webrequest
Section: user/utilities 
Priority: extra
Maintainer: Svenn-Arne Dragly <s@dragly.com>
Build-Depends: 	debhelper (>= 5), libzbar-dev, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
                libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libosso-dev, libgtk2.0-dev, 
                libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,
                libcurl3-dev, mce-dev | maemo-version (<5.0), libmodest-dbus-client-dev, libhildonfm2-dev,
                libqt4-dev, mbarcode-dev (>=0.1.1-3)
Standards-Version: 3.7.2

Package: mbarcode-plugin-webrequest
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0a
Description: The webrequest plugin lets the user look up any result from mbarcode on the web.

## mbarcode-plugin-webrequest 0.1.13-2

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.13-2) unstable; urgency=low

  * Simple mod of control file to require mbarcode

 -- S.G.Pickering@bath.ac.uk <S.G.Pickering@bath.ac.uk>  Wed, 7 Jul 2010 09:56:00 +0100

=== debian/control ===
--- 
+++ 
@@ -11,5 +11,5 @@
 
 Package: mbarcode-plugin-webrequest
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, libdmtx0a
+Depends: ${shlibs:Depends}, ${misc:Depends}, mbarcode
 Description: The webrequest plugin lets the user look up any result from mbarcode on the web.

## mbarcode-plugin-webrequest 0.1.15-0

=== Makefile ===
#############################################################################
# Makefile for building: libmbarcode_qrplugin.so
# Generated by qmake (2.01a) (Qt 4.6.2) on: Wed Mar 31 03:50:57 2010
# Project:  qrcode.pro
# Template: lib
# Command: /usr/bin/qmake -unix -o Makefile qrcode.pro
#############################################################################

####### Compiler, tools and options

CC            = gcc
CXX           = g++
DEFINES       = -DQT_GL_NO_SCISSOR_TEST -DQT_DEFAULT_TEXTURE_GLYPH_CACHE_WIDTH=1024 -DDATADIR="/usr/share" -DPKGDATADIR="" -DQT_NO_DEBUG -DQT_PLUGIN -DQT_DBUS_LIB -DQT_GUI_LIB -DQT_CORE_LIB -DQT_SHARED
CFLAGS        = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libmodest-dbus-client-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
CXXFLAGS      = -pipe -O3 -fno-omit-frame-pointer -fno-optimize-sibling-calls -DMAEMO_CHANGES -DMAEMO_GTK -I/usr/include/hildon-1 -I/usr/include/gtk-2.0 -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -DMAEMO_CHANGES -DMAEMO_GTK -pthread -I/usr/include/libosso-abook-1.0 -I/usr/include/gconf/2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gtk-2.0 -I/usr/include/hildon-1 -I/usr/include/hildon-fm-2 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/libxml2 -I/usr/include/telepathy-1.0 -I/usr/include/evolution-data-server-1.4 -I/usr/include/dbus-1.0 -I/usr/include/libxml2 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gstreamer-0.10 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libxml2 -I/usr/include/conic -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/dbus-1.0 -I/usr/include/gconf/2 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/libmodest-dbus-client-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -DMAEMO_CHANGES -pthread -I/usr/include/hildon-fm-2 -I/usr/include/gtk-2.0 -I/usr/include/gconf/2 -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/lib/gtk-2.0/include -I/usr/include/atk-1.0 -I/usr/include/cairo -I/usr/include/pango-1.0 -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -I/usr/include/pixman-1 -I/usr/include/freetype2 -I/usr/include/libpng12 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -pthread -I/usr/include/gnome-vfs-2.0 -I/usr/lib/gnome-vfs-2.0/include -I/usr/include/gconf/2 -I/usr/include/dbus-1.0 -I/usr/lib/dbus-1.0/include -I/usr/include/glib-2.0 -I/usr/lib/glib-2.0/include -Wall -W -D_REENTRANT -fPIC $(DEFINES)
INCPATH       = -I/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5 -I. -I/targets/FREMANTLE_ARMEL/usr/include/QtCore -I/targets/FREMANTLE_ARMEL/usr/include/QtGui -I/targets/FREMANTLE_ARMEL/usr/include/QtDBus -I/targets/FREMANTLE_ARMEL/usr/include -I.
LINK          = g++
LFLAGS        = -Wl,-rpath-link,/usr/lib -Wl,-O1 -Wl,--hash-style=gnu -Wl,-rpath,/usr/lib -shared
LIBS          = $(SUBLIBS)  -L/usr/lib -lgstinterfaces-0.10 -ldmtx -pthread -pthread -losso-abook-1.0 -lhildon-1 -lmcclient -ltelepathy-glib -lebook-1.2 -ledataserver-1.2 -pthread -lgstphotography-0.10 -lgstbase-0.10 -lgstreamer-0.10 -lxml2 -lconic -lcurl -pthread -lhildonmime -lmodest-dbus-client-1.0 -losso -pthread -lhildonfm -lgtk-x11-2.0 -lgdk-x11-2.0 -latk-1.0 -lgio-2.0 -lpangoft2-1.0 -lgdk_pixbuf-2.0 -lpangocairo-1.0 -lcairo -lpango-1.0 -lfreetype -lfontconfig -pthread -lgnomevfs-2 -lgconf-2 -lgthread-2.0 -lrt -lgmodule-2.0 -ldbus-glib-1 -ldbus-1 -lgobject-2.0 -lglib-2.0 -lzbar -lQtDBus -L/usr/lib -lQtXml -lQtGui -L/usr/X11R6/lib -lQtCore -lpthread 
AR            = ar cqs
RANLIB        = 
QMAKE         = /usr/bin/qmake
TAR           = tar -cf
COMPRESS      = gzip -9f
COPY          = cp -f
SED           = sed
COPY_FILE     = $(COPY)
COPY_DIR      = $(COPY) -r
STRIP         = strip
INSTALL_FILE  = install -m 644 -p
INSTALL_DIR   = $(COPY_DIR)
INSTALL_PROGRAM = install -m 755 -p
DEL_FILE      = rm -f
SYMLINK       = ln -f -s
DEL_DIR       = rmdir
MOVE          = mv -f
CHK_DIR_EXISTS= test -d
MKDIR         = mkdir -p

####### Output directory

OBJECTS_DIR   = ./

####### Files

SOURCES       = qrplugin.cpp \
		qrsink.cpp moc_qrplugin.cpp \
		moc_qrsink.cpp
OBJECTS       = qrplugin.o \
		qrsink.o \
		moc_qrplugin.o \
		moc_qrsink.o
DIST          = /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		qrcode.pro
QMAKE_TARGET  = mbarcode_qrplugin
DESTDIR       = 
TARGET        = libmbarcode_qrplugin.so
TARGETD       = libmbarcode_qrplugin.so

first: all
####### Implicit rules

.SUFFIXES: .o .c .cpp .cc .cxx .C

.cpp.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cc.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.cxx.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.C.o:
	$(CXX) -c $(CXXFLAGS) $(INCPATH) -o "$@" "$<"

.c.o:
	$(CC) -c $(CFLAGS) $(INCPATH) -o "$@" "$<"

####### Build rules

all: Makefile  $(TARGET)

$(TARGET):  $(OBJECTS) $(SUBLIBS) $(OBJCOMP)  
	-$(DEL_FILE) $(TARGET)
	$(LINK) $(LFLAGS) -o $(TARGET) $(OBJECTS) $(LIBS) $(OBJCOMP)



Makefile: qrcode.pro  /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/linux-g++-maemo5/qmake.conf /targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/exclusive_builds.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_pre.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/release.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/default_post.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/link_pkgconfig.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/warn_on.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/moc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusinterfaces.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/dbusadaptors.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/unix/thread.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/resources.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/uic.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/yacc.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/lex.prf \
		/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/include_source_dir.prf \
		/usr/lib/libQtDBus.prl \
		/usr/lib/libQtXml.prl \
		/usr/lib/libQtCore.prl \
		/usr/lib/libQtGui.prl
	$(QMAKE) -unix -o Makefile qrcode.pro
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/unix.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/common/linux.conf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/qconfig.pri:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_functions.prf:
/targets/FREMANTLE_ARMEL/usr/share/qt4/mkspecs/features/qt_config.prf:

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Svenn-Arne Dragly <s@dragly.com>
 Build-Depends: 	debhelper (>= 5), libzbar-dev, libdmtx-dev, gstreamer0.10-plugins-bad-dev | maemo-version (<5.0), libconic0-dev, 
-                libgstreamer0.10-dev, libosso-abook-dev | maemo-version (<5.0), libosso-dev, libgtk2.0-dev, 
+                libgstreamer0.10-dev, libosso-dev, libgtk2.0-dev,
                 libgconf2-dev, libglib2.0-dev, libebook-dev | maemo-version (<5.0), libgstreamer-plugins-base0.10-dev,
                 libcurl3-dev, mce-dev | maemo-version (<5.0), libmodest-dbus-client-dev, libhildonfm2-dev,
                 libqt4-dev, mbarcode-dev (>=0.1.1-3)

## mbarcode-plugin-webrequest 0.1.15-1

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.15-1) unstable; urgency=low

  * Removed mbarcode dependency.

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 19 Aug 2010 13:39:00 +0200
 

mbarcode-plugin-webrequest (0.1.15-0) unstable; urgency=low

  * Rebuilt against the new Plugin API.
  * Added image.

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 20 Jul 2010 04:00:00 +0200

mbarcode-plugin-webrequest (0.1.14-0) unstable; urgency=low

  * Refactored MainWindow into MaemoBarcodeWindow.
  * Refactored SinkPlugin into PluginAction

 -- Svenn-Arne Dragly <s@dragly.com>  Thu, 8 Jul 2010 16:00:00 +0200

## mbarcode-plugin-webrequest 0.1.15-2

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.15-2) unstable; urgency=low

  * Repush due to PR1.3 and Qt4.7 update.

 -- Svenn-Arne Dragly <s@dragly.com>  Tue, 26 Oct 2010 15:49:00 +0200
 

## mbarcode-plugin-webrequest 0.1.15-3

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.15-3) unstable; urgency=low

  * Bump to rebuild against new plugin API.

 -- Simon Pickering <S.G.Pickering@bath.ac.uk>  Thr, 23 Dec 2010 15:00:00 +0000

=== debian/control ===
--- 
+++ 
@@ -11,5 +11,97 @@
 
 Package: mbarcode-plugin-webrequest
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, mbarcode
+Depends: ${shlibs:Depends}, ${misc:Depends}
+Provides: mbarcode-plugin
 Description: The webrequest plugin lets the user look up any result from mbarcode on the web.
+XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=mbarcode
+XB-Maemo-Icon-26:
+    iVBORw0KGgoAAAANSUhEUgAAADAAAAAwCAYAAABXAvmHAAAABmJLR0QA/wD/
+    AP+gvaeTAAAACXBIWXMAAA3XAAAN1wFCKJt4AAAACXZwQWcAAAAwAAAAMADO
+    7oxXAAAOqElEQVRo3q1aeXRUVZr/3XvfUvuSquwhGyEJWSQsgqIsLoDDYrfj
+    xmjbajujtJ4jM/Y5Y3fj9Jx21Jn22GeOrShtt8tpx8FxdGwVWlwAwXYJSJAl
+    xEBIQsieSqUqtb2q996980exU4Qk+P1Tqbx3v/v9vv3erwgmSRtECmvIo1i2
+    7S7HSFOoUuvV5hkhY54ZM6tMzSwWpnAKU1gBgDCSoBKJqC65i1ppq7CyRtMp
+    NYad7PAquxrd0B4CfrtyUnKQiS5YdaAZrioXPbrhaEXsSOyGZH9yhR7SZ5hx
+    0ydSQhJcACLDRgRYclsBptY6EYkahmaIYUOh+5hf3hxR6JZPQqm2ApXyxiWX
+    T0geabwvLtyxBzsDKTJDJbW7nm69Z/CL4C1GyCjmKU4gzlFFBrWYXCAS0lFQ
+    YoVpCCml8dz8EuvSpCGWxAzeVe1T3u5JmK+1fbq7eaZNEp/On/n9WMD+/Db8
+    fHEumoPJ7IYc9SfFbvnB3pZo8ctPHEF4JAUAoHR8hmQSgcMtgzEgv8SGn/y8
+    AlYbAwRgcIGoLrpGhXhhlItXPIwM7YoaeK2mbkyedKyHiz5vQuyTAUSFmLcg
+    3/pmiZU92b1vtLijOYLcKRY43TLKqh2wWFlGtznPCoZAKJBCoD+J1m9Hcaw1
+    BkLTBmSUwKPS4gKVPTnNyv43X2XX3eRT6bv9RyZngVsbv8XuYIrdP9WxusjK
+    nnIrtDilcfR0xmFzSLDYKPqOJaAnOTau70QokAIZZ0QpKkVptQOzF/iwaFUu
+    TDMj+kEOPDao81dtlBh3FVSOH8Cq7XvQGkzJd093rSl3y4/bJOI55QaMYHRE
+    x4cbe9DRGkVwIIlISIcYhwUAQAjAn6fiwcer4HDJAAEcrsyhKIDRBBf/ujei
+    r/fJVH+0bPp575znQit2NuGDIY3eUeFYU+qQnrLLp4U/wRQtTWFsf68f7c0R
+    hIPjFz4NQMBqZ3BnKYiEdLz1Yie0uJkxjgjgUgl5otYu/3R/zKRPtLeMDWD5
+    rm+xaUEpfjXd/XcVXuVxp4U6DENAT3FQRkAZAWMENicDk9Lfx+s2Z2rA7pKh
+    WCgcbgkpzcSm17vR0xnPyIsR2J2M/HqJV7ljXZkfj58Dgp38o/qvTbg734rN
+    Q5F5FU7pRZdK87gp8PFbvfj60wAYI+jtTKDjuyjaW6LobI1C8AkKf4JUK0M0
+    rMOVpSA2amDHpgGUVTlQVG7PaE1KYFEImbM3kthVpLDjUx74Kb58bj2AM+rA
+    Kp+KA1Eje6ZLftKl0BJCgHjURNeRGIrKbXhrQydiYQM2p4TwcOpCgXdRIpSg
+    tzOO7qMx7PtqBJQRZOUoKK9xQIzhi4ygWCb4tzbNXD1FpUNnudCPmw/i6eoa
+    1Lmk+7wKvQZIB5uiUqz4URHq5npRVGbDfb+owOqHSmGxsQn5fUYghEBPcsy9
+    xg89JTDcnwS5SD2RKVnsZuS+h6dU4ca9+08DmOOQ8Myx1vosma6RyOm4UCwU
+    xdPscHllzLs+G/VXeGF1SNBTk/SdM0gIAX++ivnLsvGDe6Ygr9gKwcfWCgOo
+    jWDNPzc31zeoae+n9x48gId/9x3JlsndKiUl5y7ipoAvV0XxNDu++ngIWdkK
+    amZ7QMcsgeMj0xCQZIK51/rh8soZrUoITgW3AGCTaEmhlf348bV7yKo9+0BL
+    VYbHHqisVAm5OaMBSboFGOrVEOhLwpenYtXdRfDlqpfkRoQSlFQ5IMkUnIuM
+    vDgXGB5IIhIyTv1PIoBXprc89B8NleWEgC72KMiW6TKVktJM6LWYicatAez/
+    egTTLnMiHjGw9Z0+BAfHX3nPJcoIFq3MxZJb8i/Ig5C0hd579Ti+2RE4VScE
+    ALtESovsbNnybAuk57vjjuV+dQUjmZgQDPZo2PhcB5IJE4mYiR3vD+DbL4OT
+    174AZIWios4JRT2dDCglSCVNEELAZIKO76LYszOIpMZReZnrrJ5BZgR+K1ux
+    vj/xCvv7X6yt9yv0nyRCHBn2gsXKkF1oQXd7HIe+CaPveAJksqoHAALoKY5D
+    e8JIRA1UN7jBObD3r0Fs+q9uWGwMXYdjSGkc+74MIhLWMXuhDxCAotBTQCRK
+    7B6FfSzZGZkrE+K/4H6UIBE1YBpicpU3g2vUz/WivMYBf54FhBI07xrB6/95
+    FImoieoGN+IRA52Ho6ie5caHG3vw3LrvUFHnwp1ry6CoNJ3iKfHnq/QKyTDE
+    PCKnCxqlBEKcDigCIJXk2P5eP4Z6NVB2idIjnRAW/yAPM670niqGbQcjSERN
+    MJnANAUsdoZDe8I4sn8UpiEQ6EsiKzsJIQBDFyAUoJRIVkoWSDJFFaUAN4Hu
+    zhjsLgkevwJTTzM/vC+MWMS4aJEZLxm6wMDxBMQVXggu0NIUxp4dw1CtFO4s
+    Bdv/3I+kZoIbApohTihUwOGWICsU33wWgGkIXPU3OaAcM6VQf7LYla0i0Kfh
+    D08ewbR6F1xZMnKLLACAt148Bi1uXrLrnCQhgM//MggmEQwPJNHZGsX02R5c
+    doUHRVPtGDiewBvPdmA0qINJBFOm2qGoFHMW+yDLBLJC8dn7fZAVCneBJYvU
+    r353tCxPddbM9uCNZ9shRLp4FU21Q09yDPYkvjftnwlCCIG6yz24/aEy+PNU
+    UJZ2Xwhg31cj+GLLILS4iVvXlCKn0AJJTnfCqSTHtnf70X4oAkuBJSJFR3Tr
+    0eEULr/Gj5JKB7raYgCAno44AHzvwgPpQBYCqL3ci9wiC0xDgJ/RHM6Yn4Wa
+    2R7oKQ6LjYHSk6ABWaVYdntB+niaNK2UUCA0rKOzNYo715bB41MguDirhH/f
+    JDgwrd6F6bPcZwl++nm6xbA52Cmwpx+mPySZQJYoKGEkASHw9ScBxKMmZsz3
+    glBywfL+vQAQAlUzXCgosY65x8WeMYkkKGEkQgjBSCCJLRt7MH9pNurmelBc
+    YYcv79L6nbE2j44a4PzSmBOCiMQsrAsEBZQQHGoKI/svg7jx7ilwuGUEB5N4
+    9TdtGOrTxn33Mx7hnR4ZReW2S+bFgOOU2VnryUAlAL7YMoj/+2MXkgkTFbVO
+    LLm1AHanlA60S9QYkPbvOYt9mL8s55Kty4FWSfbIjUQhdwpNSCDpAJu9yIec
+    QgtMU+DqG3Lgy1Gw/+sRDHRrOHIwctGDx0U3NsUlJwgBGIZAI7UUWnYxGwuc
+    ulk7cU/DTrQNhAJ1c7244+Fy3P5QKVweadKH+TQ/ggONI+hsjV6SW5oCgagp
+    Gql/qb9V9sj7T3Z5nAtocfNsjfG0++QUWrDoxjxICpm0+QlJp+2uIzGQDKc6
+    Qkka2EWwJbnY3xI3Wunu5bujap66mSppboID8YiRcRFjBNfdlI/rb84HY+nG
+    a1JAhEDT50EMDyRBabrDJSc+uw5H0bgtgJTGL2ghASAlsPlvfWqU1f7LWqi5
+    aihxPLHSjJqek91o/TwvZOV8FTGJoKzaCW+2AkWliI4aSGp8Qj5NSLoPGupN
+    omiqDYQSjAZ17NkZxFsvdGLX9gAGuhOw2hn8+ZZM2u/sTfJfD+h8mDU89Qi2
+    /XBe8KXP2gtTgdR8woGRoRT8+RYUT3Nk1DCTCUorHWi4Kgsen4zv9o6m29wJ
+    gQAGezQcaAyhaecwdm4eQNPnQcQiJjgHggNJlNc4UXKODFwAAZ2/vPbltjeL
+    Kl1gR/6wAR+Qq2AttPZrfdpyM2Z6TFNgZCiFurkeWO0sowBCpAM8v9gKLcHR
+    3hxJp1kysUNPPGoiHExBi/M0zxMtzMq7irBwZe7ZoAGEkuaxlrDx6HX1noFn
+    6+rSd0CFNxai8WfXHLCX2zdQC+WUEHS3x/HVx0Nj7y7ScbH01nzcfH8xps9y
+    w+ZguNCY6UKWOBkHJ4lSAkmhZ8UAAZDQOT8W0jc8U197YGcoPVxhAHD49y9g
+    /oadcFQ5WrUebbYe0ssFFwgOplA7xwOHRxpTIEWlmFrjQsPVWSitcqC/S0My
+    wSE4JhXknAP9xxOom+uFwyMDJzrR3lFj25d92rpN3QPxTQtnpcGeXFT6QCmG
+    Ph4acje416nZ6jFCCEKBFAZ7tIse4oVIp1rFQlEzx4MHflWJh/+9GjMXZME0
+    Jo6AECAaNs4amoxo5rFjmrlu4RTr0GfJ02n+FID/JsWo/sep2P3L5Y3OOsc6
+    2SOHTFMgHjPG79Mi3Spk5SiYWuvEslsLcNkV3gkXLM4FvNkK/AUWQAjEdB7q
+    jBrrnplR1/jBYBI9S09PMs+K0JYXX8DSrbvQcP+M5v69A7FUMLUAulAq6pyw
+    2qSJDTI44PUrKCizoWnn8IRSrSRTrPxREabPdCNpimiPxh/75YHwKwejQfHh
+    VWdPL89LMUf/9BKcs24S+T/M3xvriIePH4xc2d0atRRPc8DlkScEQtcF2lsi
+    2N8Ygp6cAACJYuHKXLjyLaGgLh77aFDbcG2+1Xx91mXnvZsxR3a8+UeUrLyX
+    Vz9YsSfYHO7qOxyb09YUdudNscKXZxlXhiGU4Mstg/if9Z3QYhO4FBAAFwLE
+    LXWxctvPturmq4WMGr+vzzxuveAd80fXz0a4NWJ++/QNb/gX+W4b0vm2P/2u
+    w2zaMXxRK1BKEOjTsP3P/UjEDIybBEAt1LSV27a1c3Hb21U1b3Q2R8yX6i48
+    Kx7zkvyd6mo8j1GEemONBTflr9aylXVbtw51jYZ0nBmXhKZvDCSZoKcjjjfX
+    d2Djcx3oP54YXwALgEgESq7S5ZrpWpe3Knd1dCjR+A8YxaGbrxxz6bjTw80H
+    W9Bik0nNrqHa6y/33GOV6S1WSopVmZCuIzF0t8dhGhxtzRHs2hoAyEUm+Cd+
+    nkAVKiSP1GUptLztnO587epHZjd3NveId+qmj0uuCTfky3fvwzAEbeCkIkcm
+    N2TbpBWfv9074+vNgz6hc0nwMZie7DoVYjAbG5Y98j41T91sn2bfMm3N1LZw
+    6yh/v752QvJM+kTBHvkAnb9dgHu3tjmMtnhl8HB0zJ/bEEYizMK6mJ21Sh6p
+    0VJgafTO8hz+6NrXoxvEb7CGKJOS4/8BFeOEl6n50HEAAAAldEVYdGRhdGU6
+    Y3JlYXRlADIwMTAtMDctMjBUMDM6NDY6MDcrMDI6MDCL2N1NAAAAJXRFWHRk
+    YXRlOm1vZGlmeQAyMDEwLTA3LTIwVDAzOjQ2OjA3KzAyOjAw+oVl8QAAABl0
+    RVh0U29mdHdhcmUAd3d3Lmlua3NjYXBlLm9yZ5vuPBoAAAAASUVORK5CYII=

## mbarcode-plugin-webrequest 0.1.15-6

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.15-6) unstable; urgency=low

  * Bump to autobuilder.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 12 Jan 2011 19:39:00 +0200

mbarcode-plugin-webrequest (0.1.15-5) unstable; urgency=low

  * Bump to autobuilder.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 12 Jan 2011 16:53:00 +0200

mbarcode-plugin-webrequest (0.1.15-4) unstable; urgency=low

  * Plugin API update.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 12 Jan 2011 01:04:00 +0200

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 		mkdir -p builddir
 
 builddir/Makefile: builddir
-		cd builddir && /opt/qt4-maemo5/bin/qmake-qt4 PREFIX=/usr ../wrplugin.pro
+		cd builddir && qmake PREFIX=/usr ../wrplugin.pro
         # should be changed to qmake-qt4 when PR1.2 is out
 
 build: build-stamp

## mbarcode-plugin-webrequest 0.1.15-7

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.15-7) unstable; urgency=low

  * Added missing emit call.

 -- Svenn-Arne Dragly <s@dragly.com>  Wed, 12 Jan 2011 22:52:00 +0200

## mbarcode-plugin-webrequest 0.1.15-8

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.15-8) maverick; urgency=low

  * Changed packaging. Added dep to mbarcode.

 -- Svenn-Arne Dragly <s@dragly.com>  Sun, 24 Apr 2011 01:11:45 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
 
 Package: mbarcode-plugin-webrequest
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends: ${shlibs:Depends}, ${misc:Depends}, mbarcode
 Provides: mbarcode-plugin
 Description: The webrequest plugin lets the user look up any result from mbarcode on the web.
 XSBC-Bugtracker: https://bugs.maemo.org/enter_bug.cgi?product=mbarcode

## mbarcode-plugin-webrequest 0.1.15-9

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.15-9) maverick; urgency=low

  * Added pretty name.

 -- Svenn-Arne Dragly <s@dragly.com>  Sun, 24 Apr 2011 01:55:05 +0200

=== debian/control ===
--- 
+++ 
@@ -9,6 +9,7 @@
                 libqt4-dev, mbarcode-dev (>=0.1.1-3)
 Standards-Version: 3.7.2
 
+XSBC-Maemo-Display-Name: mBarcode Webrequest Plugin
 Package: mbarcode-plugin-webrequest
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}, mbarcode

## mbarcode-plugin-webrequest 0.1.15-10

=== debian/changelog ===
mbarcode-plugin-webrequest (0.1.15-10) maverick; urgency=low

  * Updated dependencies.

 -- Svenn-Arne <svenni@svubuntui7>  Tue, 26 Apr 2011 01:27:59 +0200
